#!/bin/bash

# 编写一个Shell脚本，接受一个文件名作为参数，并统计该文件中的行数、单词数和字符数
# 【提示】wc 统计命令

if [ -e $1 ] && [ -f $1 ]; then
    echo "文件名：$1"
    echo "行数：`wc -l $1 | awk '{print $1}'`"
    echo "单词数：`wc -w $1 | awk '{print $1}'`"
    echo "字符数：`wc -c $1 | awk '{print $1}'`"
else
    echo "文件不存在或者不是一个文件"
fi